Subject: Re: Neighbor Unreachability Detection is too impatient

From: Erik Nordmark <[email-masked]>
Date: Wed, 25 May 2011 09:00:42 -0700

On 5/25/11 2:10 AM, Philip Homburg wrote:
> In your letter dated Tue, 24 May 2011 10:22:09 -0700 you wrote:
>> On 5/24/11 10:12 AM, Philip Homburg wrote:
>> With current RFC 4861 this means that the NCE has to be discarded, since
>> the neighbor is deemed UNREACHABLE.
>>
>> Without the NCE, the next time the node tries to send a packet, it will
>> end up multicasting NS messages.
>
> So you are saying (with a bit exaggeration from my side) that some links
> in data centers have so many hosts that a network disruption of a few seconds
> will cause a multicast storm big enough to meltdown the network.

Philip,

No that isn't what I said.

I said that the current assumed maximum 3 NUD probes one second apart
makes IPv6/ND less flexible than IPv4/ARP, and I think we should remove
those constraints.

I'm having a hard time understanding what point you are trying to make,
and whether or not it relates to the text in the draft. Please send some
suggested text changes to the draft if you think that would address your
concern.

Thanks,
    Erik

> With modern CPUs and a Gbit/s network that seems very odd to me.
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>